From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cachetools/
Date: Mon, 5 Nov 2018 16:12:41 +0000 (UTC) [thread overview]
Message-ID: <1541434351.fe8a190398a413c94f2623a0679d916886cb23f3.prometheanfire@gentoo> (raw)
commit: fe8a190398a413c94f2623a0679d916886cb23f3
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 5 16:11:19 2018 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Nov 5 16:12:31 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe8a1903
dev-python/cachetools: 3.0.0 bump
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/cachetools/Manifest | 1 +
dev-python/cachetools/cachetools-3.0.0.ebuild | 26 ++++++++++++++++++++++++++
2 files changed, 27 insertions(+)
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 8dda47f257a..1ed8d0e8ee9 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1,2 +1,3 @@
DIST cachetools-2.0.1.tar.gz 18790 BLAKE2B 48ce160117086306f5dd7fa7d74b12cd05db76089a1b98e78fa77b81e0f99516523fcef1d43c434137689b45e988ba7471469009049337f8e4a9a8aa6bb2e2b8 SHA512 4caad0676dab2a2ab922138c8305c7e40ac671aaec59ce502428608217976045af7a714c51567ff020987d3bf90f0c9c51645a59bb4f68d377e1f8dbed24bade
DIST cachetools-2.1.0.tar.gz 20051 BLAKE2B 87c0839352a82fa2e531c6e4fe4da3ea7038ab9f09ce0b537f16deebf63de36a49ffd563790d42a1f07962841cf07431f1287de114f9e8d148c1413eedf1ff42 SHA512 6536afae48bad99465709860fd57c8c66d3b203ecf79a922e117a2c004a33b7ab2ac895f87596cbf4be377f6655d1deddc80b6500daa4d529eef7c1ca0adbd8d
+DIST cachetools-3.0.0.tar.gz 20513 BLAKE2B e6fdfe2aff22a9ae35d19acb7a678410c5c06d3147cfc3d57725d942c3e4ce00d5aa8bfce7f8ee80960751643bc655d5d2226382e82c1c5c1eda746cb34a556a SHA512 7211e4d1525b94f5a74a89571a1a3696719d1cb15246f4b8158408082cc59ef03935ba82ddd78a34dbb31b271c234dab6cd82839c13b23159b80264bd552bc51
diff --git a/dev-python/cachetools/cachetools-3.0.0.ebuild b/dev-python/cachetools/cachetools-3.0.0.ebuild
new file mode 100644
index 00000000000..6970aafb795
--- /dev/null
+++ b/dev-python/cachetools/cachetools-3.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="https://pypi.org/project/cachetools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test -v || die "Tests failed under ${EPYTHON}"
+}
next reply other threads:[~2018-11-05 16:12 UTC|newest]
Thread overview: 83+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-05 16:12 Matthew Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-23 17:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/cachetools/ Michał Górny
2025-02-21 5:20 Michał Górny
2025-02-08 11:45 Michał Górny
2025-02-08 10:47 Arthur Zamarin
2025-01-22 7:21 Michał Górny
2024-09-07 12:15 Michał Górny
2024-09-07 11:26 Jakov Smolić
2024-08-19 4:39 Michał Górny
2024-08-03 6:37 Michał Górny
2024-08-03 6:24 Michał Górny
2024-07-16 5:30 Michał Górny
2024-05-17 14:26 Michał Górny
2024-03-13 15:01 Michał Górny
2024-03-13 13:50 Arthur Zamarin
2024-02-27 6:38 Michał Górny
2023-11-25 10:35 Michał Górny
2023-11-25 7:37 Arthur Zamarin
2023-10-25 4:19 Matthew Thode
2023-08-05 11:38 WANG Xuerui
2023-06-27 11:50 Michał Górny
2023-05-28 2:50 Michał Górny
2023-05-26 20:26 Arthur Zamarin
2023-04-16 3:39 Sam James
2023-03-05 7:39 Arthur Zamarin
2023-03-04 6:08 Arthur Zamarin
2023-03-04 5:29 Arthur Zamarin
2023-03-03 18:22 Arthur Zamarin
2023-03-03 17:51 Arthur Zamarin
2023-03-03 17:50 Arthur Zamarin
2023-02-16 14:13 Michał Górny
2023-02-16 5:22 Sam James
2023-02-01 6:57 Arthur Zamarin
2023-02-01 6:49 Arthur Zamarin
2023-02-01 6:49 Arthur Zamarin
2023-02-01 6:43 Arthur Zamarin
2023-01-23 7:34 Michał Górny
2023-01-13 12:37 Arthur Zamarin
2023-01-09 8:09 Michał Górny
2022-12-26 7:52 Sam James
2022-11-30 19:21 Michał Górny
2022-06-16 9:18 Michał Górny
2022-06-16 8:59 Jakov Smolić
2022-05-30 7:22 Michał Górny
2022-05-16 7:56 Michał Górny
2022-03-24 22:50 Jakov Smolić
2022-01-26 20:25 Jakov Smolić
2021-12-21 20:50 Arthur Zamarin
2021-10-31 20:09 Arthur Zamarin
2021-10-31 17:55 Sam James
2021-09-30 21:50 Michał Górny
2021-09-29 21:59 Michał Górny
2021-06-05 21:01 Michał Górny
2021-05-09 11:35 Michał Górny
2021-04-28 8:16 Michał Górny
2021-02-26 8:30 Michał Górny
2021-01-25 8:21 Michał Górny
2021-01-17 16:16 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-18 8:50 Michał Górny
2020-08-18 8:50 Michał Górny
2020-07-15 8:10 Michał Górny
2020-07-15 8:10 Michał Górny
2020-05-09 10:16 Fabian Groffen
2020-03-19 18:44 Michał Górny
2020-02-04 15:29 Michał Górny
2020-02-04 13:42 Michał Górny
2019-12-06 15:52 Matthew Thode
2019-06-24 0:15 Matthew Thode
2019-05-24 18:13 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-01-30 18:38 Matthew Thode
2018-12-04 17:59 Matthew Thode
2018-06-13 19:40 Matt Thode
2018-05-13 16:58 Matt Thode
2017-12-01 18:27 Sven Wegener
2017-09-09 23:17 Matt Thode
2017-08-12 2:22 Matt Thode
2017-05-04 1:21 Zac Medico
2016-03-25 4:37 Matt Thode
2016-02-28 7:25 Matt Thode
2015-10-31 11:28 Matt Thode
2015-09-03 21:29 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1541434351.fe8a190398a413c94f2623a0679d916886cb23f3.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox